"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
let mockDirectory = [];
function setMockDirectories(directories) {
    mockDirectory = directories;
}
function statSync(dir) {
    /* slice the cwd away since it is prepended automatically and makes it harder
     * to test with */
    const suffix = dir.replace(`${process.cwd()}${path_1.default.sep}`, "");
    const found = mockDirectory.indexOf(suffix) >= 0;
    return {
        isDirectory() {
            return found;
        },
    };
}
module.exports = {
    setMockDirectories,
    statSync,
    readFileSync: () => {
        throw new Error("ENOENT");
    },
};
