import HtmlValidate from "../htmlvalidate";
import { Report } from "../reporter";
import { ExpandOptions } from "./expand-files";
export interface CLIOptions {
    configFile?: string;
    rules?: string | string[];
}
export declare class CLI {
    private options;
    private config;
    /**
     * Create new CLI helper.
     *
     * Can be used to create tooling with similar properties to bundled CLI
     * script.
     */
    constructor(options?: CLIOptions);
    expandFiles(patterns: string[], options?: ExpandOptions): string[];
    getFormatter(formatters: string): (report: Report) => string;
    /**
     * Get HtmlValidate instance with configuration based on options passed to the
     * constructor.
     */
    getValidator(): HtmlValidate;
    private getConfig;
}
